Bug 145607 - CAN-2005-0143 Secure site lock can be spoofed with a binary download
CAN-2005-0143 Secure site lock can be spoofed with a binary download
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=low,public=20050120
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 20:48 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-19 20:48:49 EST
===================================
Mozilla Security Advisory MSA05-003
===================================

Title:      Secure site lock can be spoofed with a binary download
Severity:   Low
Reporter:   Kylotan

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description 
----------- 
While on an insecure page triggering a load of a binary file from
a secure server will cause the SSL lock icon to appear. The certificate
information is that of the binary file's host, while the location bar URL
correctly shows the original insecure page.

This could potentially be abused by phishers to make their fake login sites
appear more authentic.


Workaround
----------
Upgrade to fixed version


References 
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=257308
Comment 1 Josh Bressers 2005-01-19 20:50:00 EST
This issue should also affect RHEL2.1
Comment 2 Josh Bressers 2005-04-28 15:11:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-384.html

Note You need to log in before you can comment on or make changes to this bug.